using System;
using System.Data;
using System.Collections.Generic;
using HySoft.Common;
using HySoft.BaseCallCenter.Model;
namespace HySoft.BaseCallCenter.BLL
{
	/// <summary>
	/// T_Wo_WorkOrderEvaluation
	/// </summary>
	public partial class T_Wo_WorkOrderEvaluation
	{
		private readonly HySoft.BaseCallCenter.DAL.T_Wo_WorkOrderEvaluation dal=new HySoft.BaseCallCenter.DAL.T_Wo_WorkOrderEvaluation();
		public T_Wo_WorkOrderEvaluation()
		{}
		#region  Method

		/// <summary>
		/// 增加一条数据
		/// </summary>
		public int  Add(HySoft.BaseCallCenter.Model.T_Wo_WorkOrderEvaluation model)
		{
			return dal.Add(model);
		}

		/// <summary>
		/// 更新一条数据
		/// </summary>
		public bool Update(HySoft.BaseCallCenter.Model.T_Wo_WorkOrderEvaluation model)
		{
			return dal.Update(model);
		}

		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool Delete(int F_ID)
		{
			
			return dal.Delete(F_ID);
		}
		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool DeleteList(string F_IDlist )
		{
			return dal.DeleteList(F_IDlist );
		}

		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public HySoft.BaseCallCenter.Model.T_Wo_WorkOrderEvaluation GetModel(int F_ID)
		{
			
			return dal.GetModel(F_ID);
		}

		/// <summary>
		/// 得到一个对象实体，从缓存中
		/// </summary>
        //public HySoft.BaseCallCenter.Model.T_Wo_WorkOrderEvaluation GetModelByCache(int F_ID)
        //{
			
        //    string CacheKey = "T_Wo_WorkOrderEvaluationModel-" + F_ID;
        //    object objModel = Maticsoft.Common.DataCache.GetCache(CacheKey);
        //    if (objModel == null)
        //    {
        //        try
        //        {
        //            objModel = dal.GetModel(F_ID);
        //            if (objModel != null)
        //            {
        //                int ModelCache = Maticsoft.Common.ConfigHelper.GetConfigInt("ModelCache");
        //                Maticsoft.Common.DataCache.SetCache(CacheKey, objModel, DateTime.Now.AddMinutes(ModelCache), TimeSpan.Zero);
        //            }
        //        }
        //        catch{}
        //    }
        //    return (HySoft.BaseCallCenter.Model.T_Wo_WorkOrderEvaluation)objModel;
        //}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetList(string strWhere)
		{
			return dal.GetList(strWhere);
		}
		/// <summary>
		/// 获得前几行数据
		/// </summary>
		public DataSet GetList(int Top,string strWhere,string filedOrder)
		{
			return dal.GetList(Top,strWhere,filedOrder);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public List<HySoft.BaseCallCenter.Model.T_Wo_WorkOrderEvaluation> GetModelList(string strWhere)
		{
			DataSet ds = dal.GetList(strWhere);
			return DataTableToList(ds.Tables[0]);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public List<HySoft.BaseCallCenter.Model.T_Wo_WorkOrderEvaluation> DataTableToList(DataTable dt)
		{
			List<HySoft.BaseCallCenter.Model.T_Wo_WorkOrderEvaluation> modelList = new List<HySoft.BaseCallCenter.Model.T_Wo_WorkOrderEvaluation>();
			int rowsCount = dt.Rows.Count;
			if (rowsCount > 0)
			{
				HySoft.BaseCallCenter.Model.T_Wo_WorkOrderEvaluation model;
				for (int n = 0; n < rowsCount; n++)
				{
					model = new HySoft.BaseCallCenter.Model.T_Wo_WorkOrderEvaluation();
					if(dt.Rows[n]["F_ID"]!=null && dt.Rows[n]["F_ID"].ToString()!="")
					{
						model.F_ID=int.Parse(dt.Rows[n]["F_ID"].ToString());
					}
					if(dt.Rows[n]["F_WORKORDERID"]!=null && dt.Rows[n]["F_WORKORDERID"].ToString()!="")
					{
						model.F_WORKORDERID=int.Parse(dt.Rows[n]["F_WORKORDERID"].ToString());
					}
					if(dt.Rows[n]["F_USERID"]!=null && dt.Rows[n]["F_USERID"].ToString()!="")
					{
						model.F_USERID=int.Parse(dt.Rows[n]["F_USERID"].ToString());
					}
					if(dt.Rows[n]["F_DETAILID"]!=null && dt.Rows[n]["F_DETAILID"].ToString()!="")
					{
						model.F_DETAILID=int.Parse(dt.Rows[n]["F_DETAILID"].ToString());
					}
					if(dt.Rows[n]["F_TASKID"]!=null && dt.Rows[n]["F_TASKID"].ToString()!="")
					{
						model.F_TASKID=int.Parse(dt.Rows[n]["F_TASKID"].ToString());
					}
					if(dt.Rows[n]["F_EVALUATIONID"]!=null && dt.Rows[n]["F_EVALUATIONID"].ToString()!="")
					{
						model.F_EVALUATIONID=int.Parse(dt.Rows[n]["F_EVALUATIONID"].ToString());
					}
					if(dt.Rows[n]["F_X"]!=null && dt.Rows[n]["F_X"].ToString()!="")
					{
						model.F_X=decimal.Parse(dt.Rows[n]["F_X"].ToString());
					}
					if(dt.Rows[n]["F_Y"]!=null && dt.Rows[n]["F_Y"].ToString()!="")
					{
						model.F_Y=decimal.Parse(dt.Rows[n]["F_Y"].ToString());
					}
					modelList.Add(model);
				}
			}
			return modelList;
		}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetAllList()
		{
			return GetList("");
		}

		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public int GetRecordCount(string strWhere)
		{
			return dal.GetRecordCount(strWhere);
		}
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
		{
			return dal.GetListByPage( strWhere,  orderby,  startIndex,  endIndex);
		}
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		//public DataSet GetList(int PageSize,int PageIndex,string strWhere)
		//{
			//return dal.GetList(PageSize,PageIndex,strWhere);
		//}

		#endregion  Method
	}
}

